program Domino;
{$unDeF Keybd}
uses Dos,Crt,Graph,Typy,Hrac0,Hrac1,Hrac2,Hrac3,Hrac4,Hrac5,RegBgi;

type Stvoruholnik = array[1..4] of PointType;
     Posun        = array[0..11] of integer;

const
     LimitS = 40;
     PocKol = 20;

     Vrch   = LightGray;
     Boky   = DarkGray;
     Hrany  = White;
     Podklad= Black;
     Bodky  = Yellow;

     Dx  = 30;
     Dy  = 15;
     Dz  =  6;
     Dxy = 10;
     Dr  =  4;
     x0  = 30;
     y0  = 10;

     StavX : array[1..2] of integer = (10,610);
     VyskaRiadku = 18;
     StavY = 50;
     StavMaxY = StavY + VyskaRiadku*(((MaxH*(MaxH+1)) div 4)+1);

     StvorP0 : Stvoruholnik =
                 ((x:0;y:0),(x:0;y:Dz),(x:-Dx-Dx;y:Dz),(x:-Dx-Dx;y:0));
     StvorP1 : Stvoruholnik =
                 ((x:0;y:0),(x:-Dr;y:Dz),(x:-Dx-Dx;y:Dz),(x:-Dx-Dx;y:0));
     StvorP2 : Stvoruholnik =
                 ((x:0;y:0),(x:-Dr;y:Dz),(x:-Dx;y:Dz),(x:-Dx;y:0));
     StvorP3 : Stvoruholnik =
                 ((x:0;y:0),(x:0;y:Dz),(x:-Dx;y:Dz),(x:-Dx;y:0));
     StvorB0 : Stvoruholnik =
                 ((x:0;y:0),(x:0;y:Dz),(x:Dxy+Dxy;y:Dz-Dy-Dy),(x:Dxy+Dxy;y:-Dy-Dy));
     StvorB1 : Stvoruholnik =
                 ((x:0;y:0),(x:0;y:Dz),(x:Dxy;y:Dz-Dy),(x:Dxy;y:-Dy));
     StvorB2 : Stvoruholnik =
                 ((x:0;y:0),(x:Dr;y:0),(x:Dxy;y:Dz-Dy),(x:Dxy;y:-Dy));
     StvorB3 : Stvoruholnik =
                 ((x:0;y:0),(x:Dr;y:0),(x:Dxy+Dxy;y:Dz-Dy-Dy),(x:Dxy+Dxy;y:-Dy-Dy));

     StvorV  : Stvoruholnik =
                 ((x:0;y:0),(x:Dxy;y:-Dy),(x:Dxy-Dx-Dx;y:-Dy),(x:-Dx-Dx;y:0));
     StvorZ  : Stvoruholnik =
                 ((x:0;y:0),(x:Dxy+Dxy;y:-Dy-Dy),(x:Dxy+Dxy-Dx;y:-Dy-Dy),(x:-Dx;y:0));

     KdeX : array[boolean,1..6,1..6] of integer =
             (((9,0,0,0,0,0),(0,18,0,0,0,0),(0,9,18,0,0,0),(4,17,0,13,0,0),(4,17,0,13,9,0),(3,11,19,-1,7,15)),
             ((9,0,0,0,0,0),(0,18,0,0,0,0),(0,9,18,0,0,0),(4,17,0,13,0,0),(4,17,0,13,9,0),(1,4,7,10,13,16)));
     KdeY : array[boolean,1..6,1..6] of integer =
             (((7,0,0,0,0,0),(10,4,0,0,0,0),(10,7,4,0,0,0),(4,4,10,10,0,0),(4,4,10,10,7,0),(4,4,4,10,10,10)),
             ((7,0,0,0,0,0),(10,4,0,0,0,0),(10,7,4,0,0,0),(4,4,10,10,0,0),(4,4,10,10,7,0),(11,7,3,11,7,3)));

    OPosX  : Posun = (1,0,-1,-1,-2,-1,-1,0,1,1,2,1);
    OPosX_ : Posun = (0,0,0,-1,-1,-1,0,0,0,1,1,1);
    OPosY  : Posun = (-1,-2,-1,-1,0,1,1,2,1,1,0,-1);
    OPosY_ : Posun = (-1,-1,-1,0,0,0,1,1,1,0,0,0);

{     Poloha : array[1..2,1..28] of integer =
              ((3,4,4,3,1,10,11,1,0,9,9,10,6,6,5,8,10,10,1,3,10,11,1,9,8,9,7,4),
               (0,7,9,10,1,10,7,9,9,4,6,2,6,2,6,1,5,6,2,1,4,2,6,6,7,10,0,8));}

     Nazov  : array[0..5] of string =
                ('Veduce','Andyho','Mirove','Stevove','Igorove','Zuzine');

     PathToDriver = '';

type THrac = record
        h,m,s,s100 : word;
        ZlyTah : boolean;
        Tah : TTah;
        MaDomin : integer;
       end;

     TOkraj = record
       Hodn,Ind,xx,yy : integer;
     end;

var Player : array[1..2] of THrac;
    Okraj  : array[1..2] of TOkraj;
    Poloha : array[0..9,1..2,1..Tahov] of integer;
    Direction : array[0..9] of integer;
    Volne  : array[0..40,0..20] of boolean;
    Povod  : array[1..2] of integer;
    Vyhier : array[1..2] of integer;
    Stvor  : Stvoruholnik;
    Sada   : TSada;
    Sada0  : TSada;
    Sada1,Sada2 : ^TSada;
    Bodka  : Pointer;
    BSize  : word;
    Gd,Gm,i: integer;
    z      : char;
    UzZas  : boolean;
    Nahoda : integer;
    Prerusenie : boolean;
    JeZaciatok : boolean;

    Init11,Init12,Init21,Init22 : procedure;
    Tah11,Tah12,Tah21,Tah22 : procedure(LOkraj,POkraj : integer; var Tah : TTah; JehoTah : TTah);

procedure Init;
  var i,j,k : integer;
          F : File of integer;

  begin
    Randomize;
    Assign(F,'Polohy.dom');
    reset(F);
    for i:=0 to 9 do begin
      for j:=1 to 2 do
        for k:=1 to Tahov-1 do Read(F,Poloha[i,j,k]);
      Read(F,Poloha[i,1,Tahov]);
      Read(F,Poloha[i,2,Tahov]);
      Read(F,Direction[i])
    end;
    Close(F);
    UzZas:=False;
    Gd:=Ega;Gm:=Egahi;InitGraph(Gd,Gm,PathToDriver);
    SetFillStyle(SolidFill,Vrch);
    Bar(0,0,3,1);
    SetLineStyle(SolidLn,0,NormWidth);
    SetColor(Bodky);
    Line(0,1,2,1);
    Line(1,0,3,0);
    BSize:=ImageSize(0,0,3,1);
    GetMem(Bodka,BSize);
    if Bodka=nil then begin
      CloseGraph;
      writeln('Nedokazem alokovat pamat!');
      halt
    end;
    GetImage(0,0,3,1,Bodka^);
  end;

procedure NastavHracov;

  procedure NacitajKtori;
    var Ok : integer;
        w  : string;
    begin
      CloseGraph;
      GotoXy(5,5);
      if UzZas then begin
        write('Chces este pokracovat (A/N)?');
        repeat z:=readkey until z in ['a','A','n','N'];
        if z in ['n','N'] then Halt;
        GotoXY(10,5);write('                                    ');
        ClrScr;
      end;
      UzZas:=True;Gotoxy(1,4);
      repeat
        write('      Cislo druzstva, co bude prve zacinat(0..5): ');readln(w);
        if w[0]<#2 then val(w,Povod[1],Ok) else Ok:=1;
      until (Ok=0) and (Povod[1] in [0..5]);
      repeat
        write('      A teraz cislo druheho druzstva      (0..5): ');readln(w);
        if w[0]<#2 then val(w,Povod[2],Ok) else Ok:=1;
      until (Ok=0) and (Povod[2] in [0..5]);
      InitGraph(Gd,Gm,PathToDriver);
    end;

  begin
    NacitajKtori;
    Vyhier[1]:=0;Vyhier[2]:=0;
    case Povod[1] of
      0:begin
          Tah11:=Hrac0.Tah1;
          Tah12:=Hrac0.Tah2;
          Init11:=Hrac0.Init1;
          Init12:=Hrac0.Init2;
          Sada1:=@Hrac0.Sada
        end;
      1:begin
          Tah11:=Hrac1.Tah1;
          Tah12:=Hrac1.Tah2;
          Init11:=Hrac1.Init1;
          Init12:=Hrac1.Init2;
          Sada1:=@Hrac1.Sada
        end;
      2:begin
          Tah11:=Hrac2.Tah1;
          Tah12:=Hrac2.Tah2;
          Init11:=Hrac2.Init1;
          Init12:=Hrac2.Init2;
          Sada1:=@Hrac2.Sada
        end;
      3:begin
          Tah11:=Hrac3.Tah1;
          Tah12:=Hrac3.Tah2;
          Init11:=Hrac3.Init1;
          Init12:=Hrac3.Init2;
          Sada1:=@Hrac3.Sada
        end;
      4:begin
          Tah11:=Hrac4.Tah1;
          Tah12:=Hrac4.Tah2;
          Init11:=Hrac4.Init1;
          Init12:=Hrac4.Init2;
          Sada1:=@Hrac4.Sada
        end;
      5:begin
          Tah11:=Hrac5.Tah1;
          Tah12:=Hrac5.Tah2;
          Init11:=Hrac5.Init1;
          Init12:=Hrac5.Init2;
          Sada1:=@Hrac5.Sada
        end;
    end;
    case Povod[2] of
      0:begin
          Tah21:=Hrac0.Tah1;
          Tah22:=Hrac0.Tah2;
          Init21:=Hrac0.Init1;
          Init22:=Hrac0.Init2;
          Sada2:=@Hrac0.Sada
        end;
      1:begin
          Tah21:=Hrac1.Tah1;
          Tah22:=Hrac1.Tah2;
          Init21:=Hrac1.Init1;
          Init22:=Hrac1.Init2;
          Sada2:=@Hrac1.Sada
        end;
      2:begin
          Tah21:=Hrac2.Tah1;
          Tah22:=Hrac2.Tah2;
          Init21:=Hrac2.Init1;
          Init22:=Hrac2.Init2;
          Sada2:=@Hrac2.Sada
        end;
      3:begin
          Tah21:=Hrac3.Tah1;
          Tah22:=Hrac3.Tah2;
          Init21:=Hrac3.Init1;
          Init22:=Hrac3.Init2;
          Sada2:=@Hrac3.Sada
        end;
      4:begin
          Tah21:=Hrac4.Tah1;
          Tah22:=Hrac4.Tah2;
          Init21:=Hrac4.Init1;
          Init22:=Hrac4.Init2;
          Sada2:=@Hrac4.Sada
        end;
      5:begin
          Tah21:=Hrac5.Tah1;
          Tah22:=Hrac5.Tah2;
          Init21:=Hrac5.Init1;
          Init22:=Hrac5.Init2;
          Sada2:=@Hrac5.Sada
        end;
    end;
  end;

procedure JednaDvojhra;
  var   ii : integer;
    Koniec : boolean;

  procedure VygenerujSady;
    var i,j,x,y,R,C : integer;
                 Ok : boolean;
    begin
      C:=MaxH*MaxH;
      for i:=0 to MaxH-1 do for j:=0 to MaxH-1 do Sada0[i,j]:=2;
      for i:=1 to PolTahov do
        repeat
          R:=Random(C);
          x:=R mod MaxH;
          y:=R div MaxH;
          if Sada0[x,y] = 1 then Ok:=False
          else begin
            Sada0[x,y]:=1;Sada0[y,x]:=1;Ok:=True;
          end
        until OK;
    end;

  procedure RefreshStav;
    var i,j : integer;
        Ind : array[1..2] of integer;
    begin
      SetFillStyle(SolidFill,Podklad);
      Bar(StavX[1],StavY,StavX[1]+24,StavMaxY);
      Bar(StavX[2],StavY,StavX[2]+24,StavMaxY);
      Ind[1]:=0;Ind[2]:=0;
      SetColor(White);
      for i:=0 to MaxH-1 do
        for j:=i to MaxH-1 do
          begin
            if Sada[i,j]<>0 then begin
              OutTextXY(StavX[Sada[i,j]],StavY+VyskaRiadku*Ind[Sada[i,j]],chr(ord('0')+i)+' '+chr(ord('0')+j));
              inc(Ind[Sada[i,j]])
            end
          end;
    end;

  procedure InitScreen;
    var i,j:integer;
      Vhr1,Vhr2 : String;
    begin
      Nahoda:=Random(10);
      SetFillStyle(SolidFill,Podklad);
      Bar(0,0,GetMaxX,GetMaxY);
      for i:=0 to 40 do
        for j:=0 to 20 do Volne[i,j]:=True;
      with Okraj[Vpravo] do begin xx:=Poloha[Nahoda,1,Tahov];yy:=Poloha[Nahoda,2,Tahov]; Ind:=1; end;
      with Okraj[Vlavo] do begin
        xx:=Poloha[Nahoda,1,Tahov]-OPosX[Direction[Nahoda]]+OPosX_[Direction[Nahoda]];
        yy:=Poloha[Nahoda,2,Tahov]-OPosY[Direction[Nahoda]]+OPosY_[Direction[Nahoda]];
        Ind:=1;
      end;
      SetColor(Yellow);SetTextStyle(TriplexFont,0,4);
      Str(Vyhier[ii],Vhr1);
      Str(Vyhier[((ii mod 2)+1)],Vhr2);
      OuttextXy(80,2,Nazov[Povod[ii]]+': '+Vhr1);
      OuttextXy(400,2,Nazov[Povod[(ii mod 2)+1]]+': '+Vhr2);
      SetTextStyle(DefaultFont,0,1);
      RefreshStav;
      SetLineStyle(SolidLn,0,NormWidth);
      SetColor(Hrany);
      JeZaciatok:=True;Koniec:=False
    end;

  function KorektnyTah(Tah : TTah; Kto : integer):boolean;
    var i : integer;
    KorektnyTah0:boolean;
    x,y,kam : integer;

    begin
      if (z=#27) then begin
        z:=#0;
        outtextxy(200,330,'Naozaj chces prerusit partiu? (A/N)');
        repeat z:=readkey until z in ['n','N','a','A'];
        SetFillStyle(SolidFill,Podklad);
        Bar(200,330,500,349);
        if z in ['a','A'] then begin
          Prerusenie:=True;KorektnyTah0:=True;
          exit
        end
      end;
      x:=player[kto].tah.x;
      y:=player[kto].tah.y;
      kam:=player[kto].tah.kam;
      if {Player[Kto].s < LimitS} True then
{        with Player[Kto].Tah do}
          begin

{            closegraph;
            writeln(x,' ',y);
            writeln(sada[x,y]);
            writeln(kto);}

            if Kam = Pas then
              if JeZaciatok then KorektnyTah0:=False
              else for i:=0 to MaxH-1 do
                if (Sada[Okraj[1].Hodn,i]=Kto) or (Sada[Okraj[2].Hodn,i]=Kto) then KorektnyTah0:=False
                else KorektnyTah0:=True
            else if (x in [0..MaxH-1]) and (y in [0..MaxH-1]) and (Kam in [1..2]) then begin
              if (Sada[x,y] = Kto) and
              ((Okraj[Kam].Hodn=x) or (Okraj[Kam].Hodn=y) or JeZaciatok) then begin
                Sada[x,y]:=Vonku;
                Sada[y,x]:=Vonku;
                dec(Player[Kto].MaDomin);
                RefreshStav;
                if JeZaciatok then begin
                  Okraj[Vlavo].Hodn:=x; Okraj[Vpravo].Hodn:=y;
                end else if Okraj[Kam].Hodn=x then Okraj[Kam].Hodn:=y
                else Okraj[Kam].Hodn:=x;
                KorektnyTah0:=True;
              end else KorektnyTah0:=False
            end else KorektnyTah0:=False
          end
      else KorektnyTah0:=False;
      If KorektnyTah0=False Then Begin
        i:=i;
      End;
    KorektnyTah:=KorektnyTah0;
    end;

  procedure Zobraz(Tah : TTah);
    var xx,yy,x,y,a,b : integer;
        zvisle : boolean;

    procedure ZobrazStvor(x,y,Color:integer;Model:Stvoruholnik);
      var i:integer;
      begin
        SetColor(Hrany);
        for i:=1 to 4 do begin
          Stvor[i].x:=Model[i].x+x;
          Stvor[i].y:=Model[i].y+y;
        end;
        SetFillStyle(SolidFill,Color);
        FillPoly(4,Stvor);
      end;

    procedure VygenerujPolohu(var x1,y1,x2,y2,a,b:integer; var Zvisle:boolean);
      var Ako:integer;
      begin
        with Tah,Okraj[Kam] do
          begin
            if JeZaciatok then begin
              Okraj[Vpravo].Hodn:=x; Okraj[Vlavo].Hodn:=y;
              if Okraj[Vpravo].xx > Okraj[Vlavo].xx then begin
                x1:=Okraj[Vpravo].xx;
                y1:=Okraj[Vpravo].yy;
                a:=x; b:=y;
              end else if Okraj[Vpravo].xx < Okraj[Vlavo].xx then begin
                x1:=Okraj[Vlavo].xx;
                y1:=Okraj[Vlavo].yy;
                a:=y; b:=x;
              end else if Okraj[Vpravo].yy < Okraj[Vlavo].yy then begin
                x1:=Okraj[Vlavo].xx;
                y1:=Okraj[Vlavo].yy;
                a:=y; b:=x;
              end else begin
                x1:=Okraj[Vpravo].xx;
                y1:=Okraj[Vpravo].yy;
                a:=x; b:=y;
              end;
              Ako:=Direction[Nahoda];
              Zvisle:=((Ako mod 2)<>0);

{              if Ako in [0,5,7,8,9] then begin
                a:=Hodn;if x=Hodn then b:=y else b:=x;
              end else begin
                b:=Hodn;if x=Hodn then a:=y else a:=x;
              end;}
              JeZaciatok:=False;
            end else begin
              Ako:=Poloha[Nahoda,Kam,Ind]; inc(Ind);
              Zvisle:=((Ako mod 2)<>0);
              if Ako in [0,5,7,8,9,10] then begin
                a:=Hodn;if x=Hodn then b:=y else b:=x;
                x1:=xx+OPosX[Ako]; y1:=yy+OposY[Ako];
                xx:=x1; yy:=y1
              end
              else begin
                b:=Hodn;if x=Hodn then a:=y else a:=x;
                x1:=xx+OPosX_[Ako]; y1:=yy+OposY_[Ako];
                xx:=xx+OPosX[Ako]; yy:=yy+OposY[Ako];
              end
            end
          end;
          x2:=x0+Dx*x1-Dxy*y1; y2:=y0+Dy*y1
      end;

    procedure ZobrazBodky(x,y,Kolko:integer; Ake:boolean);
      var i:integer;
      begin
        for i:=1 to Kolko do
          PutImage(x+KdeX[Ake,Kolko,i],y+KdeY[Ake,Kolko,i],Bodka^,NormalPut)
      end;

    procedure ZobrazZvisle;
      begin
        ZobrazStvor(x,y,Vrch,StvorZ);
        SetLineStyle(4,$8888,NormWidth);
        Line(x-Dx+Dxy,y-Dy,x+Dxy,y-Dy);
        SetLineStyle(SolidLn,0,NormWidth);
        ZobrazBodky(x-Dx+Dxy+Dxy,y-Dy-Dy,b,True);
        ZobrazBodky(x-Dx+Dxy,y-Dy,a,True)
      end;

    procedure ZobrazVodorovne;
      begin
        ZobrazStvor(x,y,Vrch,StvorV);
        SetLineStyle(4,$9249,NormWidth);
        Line(x-Dx,y,x-Dx+Dxy,y-Dy);
        SetLineStyle(SolidLn,0,NormWidth);
        ZobrazBodky(x-Dx+Dxy,y-Dy,a,False);
        ZobrazBodky(x-Dx-Dx+Dxy,y-Dy,b,False)
      end;

    begin
      if Tah.Kam = Pas then exit;
      VygenerujPolohu(xx,yy,x,y,a,b,Zvisle);
      if Zvisle then begin
        ZobrazZvisle;
        if Volne[xx,yy+1] then
          if Volne[xx+1,yy+1] then ZobrazStvor(x,y,Boky,StvorP3)
          else ZobrazStvor(x,y,Boky,StvorP2);
        if Volne[xx+1,yy] then
          if Volne[xx+1,yy-1] then
            if Volne[xx+1,yy+1] then ZobrazStvor(x,y,Boky,StvorB0)
            else ZobrazStvor(x,y,Boky,StvorB3)
          else ZobrazStvor(x,y,Boky,StvorB1)
        else if Volne[xx+1,yy-1] then ZobrazStvor(x+Dxy,y-Dy,Boky,StvorB2);
        Volne[xx,yy]:=False;
        Volne[xx,yy-1]:=False
      end else begin
        ZobrazVodorovne;
        if Volne[xx+1,yy] then
          if Volne[xx+1,yy+1] then ZobrazStvor(x,y,Boky,StvorB1)
          else ZobrazStvor(x,y,Boky,StvorB2);
        if Volne[xx,yy+1] then
          if Volne[xx-1,yy+1] then
            if Volne[xx+1,yy+1] then ZobrazStvor(x,y,Boky,StvorP0)
            else ZobrazStvor(x,y,Boky,StvorP1)
          else if Volne[xx+1,yy+1] then ZobrazStvor(x,y,Boky,StvorP3)
          else ZobrazStvor(x,y,Boky,StvorP2)
         else if Volne[xx-1,yy+1] then ZobrazStvor(x-Dx,y,Boky,StvorP2);
        Volne[xx,yy]:=False;
        Volne[xx-1,yy]:=False
      end
    end;

  procedure VyhodnotHru(Prvy:integer);
    const VypisY  = 315;
    var Vyhral,i,j:integer;
        Suma : array[0..2] of integer;
    begin
      Vyhral:=0;
      if Player[1].ZlyTah then Vyhral:=2
      else if Player[2].ZlyTah then Vyhral:=1
      else begin
        Suma[1]:=0;Suma[2]:=0;
        for i:=0 to MaxH-1 do
          for j:=i to MaxH-1 do
            Suma[Sada[i,j]]:=Suma[Sada[i,j]]+i+j;
        if Suma[1]>Suma[2] then Vyhral:=2
        else if Suma[1]<Suma[2] then Vyhral:=1;
      end;
      if Vyhral=0 then begin
        if Player[1].s>Player[2].s then Vyhral:=2
        else if Player[1].s<Player[2].s then Vyhral:=1;
        if Vyhral=0 then OutTextXy(0,VypisY,'                        Remiza, nikto nevyhral')
        else begin
          Vyhral:=((Vyhral+Prvy) mod 2)+1;
          inc(Vyhier[Vyhral]);
          outtextxy(0,VypisY,'                           Vyhralo '+Nazov[Povod[Vyhral]]+' druzstvo!');
          outtextxy(0,VypisY+VyskaRiadku+4,'                     Boli rychlejsi pri rovnosti suctu.');
        end;
        repeat z:=readkey until z=#13;
        exit
      end;
      Vyhral:=((Vyhral+Prvy) mod 2)+1;
      inc(Vyhier[Vyhral]);
      outtextxy(0,VypisY,'                           Vyhralo '+Nazov[Povod[Vyhral]]+' druzstvo!');
      if Player[1].ZlyTah or Player[2].ZlyTah then
        outtextxy(0,VypisY+VyskaRiadku+4,'                      Super mal nekorektny tah.')
      else if Suma[1]<>Suma[2] then outtextxy(0,VypisY+VyskaRiadku+4,'                             Mali mensi sucet.');
      repeat z:=readkey until z=#13
    end;

  begin
    VygenerujSady;
    for ii:=1 to 2 do
      begin
        Sada1^:=Sada0;
        Sada2^:=Sada0;
        Sada:=Sada0;
        InitScreen;
        z:=readkey;
        with Player[1] do
          begin
            h:=0;m:=0;s:=0;s100:=0;
            ZlyTah:=False;
            Tah.Kam:=Zac;
            Tah.x:=0;Tah.y:=0;
            MaDomin:=PolTahov;
            SetTime(h,m,s,s100);
            if ii=1 then Init11 else Init21;
            GetTime(h,m,s,s100);
          end;
        Player[2]:=Player[1];
        with Player[2] do
          begin
            SetTime(0,0,0,0);
            if ii=1 then Init22 else Init12;
            GetTime(h,m,s,s100);
          end;
        repeat
          with Player[1] do
            begin
              SetTime(h,m,s,s100);
              if ii=1 then Tah11(Okraj[Vlavo].Hodn,Okraj[Vpravo].Hodn,Tah,Player[2].Tah)
              else Tah21(Okraj[Vlavo].Hodn,Okraj[Vpravo].Hodn,Tah,Player[2].Tah);
              GetTime(h,m,s,s100);
            end;
          if KorektnyTah(Player[1].Tah,1) then
            if (Player[1].Tah.Kam <> Pas) or (Player[2].Tah.Kam <> Pas) then begin
              if Prerusenie then exit;
              Zobraz(Player[1].Tah);
              {$IFDEF Keybd}
              z:=readkey;
              {$ELSE}
              z:=#32;
              {$ENDIF}
              with Player[2] do
                begin
                  SetTime(h,m,s,s100);
                  if ii=1 then Tah22(Okraj[Vlavo].Hodn,Okraj[Vpravo].Hodn,Tah,Player[1].Tah)
                  else Tah12(Okraj[Vlavo].Hodn,Okraj[Vpravo].Hodn,Tah,Player[1].Tah);
                  GetTime(h,m,s,s100);
                end;
              if KorektnyTah(Player[2].Tah,2) then
                if (Player[1].MaDomin>0) and (Player[2].MaDomin>0) then
                  if ((Player[1].Tah.Kam <> Pas) or (Player[2].Tah.Kam <> Pas)) then
                    begin if Prerusenie then exit; Zobraz(Player[2].Tah);
                    {$IFDEF Keybd}
                    z:=readkey
                    {$ELSE}
                    z:=#32;
                    {$ENDIF}     end
                  else Koniec:=True
                else Koniec:=True
              else Player[2].ZlyTah:=True
            end
            else Koniec:=True
          else Player[1].ZlyTah:=True;
          if Prerusenie then exit;
        until Koniec or Player[1].ZlyTah or Player[2].ZlyTah;
        VyhodnotHru(ii)
      end
  end;

procedure Vyhodnot;
  var Vitaz : integer;
      c1,c2 : string;
  begin
    SetFillStyle(SolidFill,Podklad);
    Bar(0,0,GetMaxX,GetMaxY);SetColor(Yellow);
    SetTextStyle(TriplexFont,0,2);
    if Vyhier[1]>Vyhier[2] then Vitaz:=1
    else if Vyhier[1]<Vyhier[2] then Vitaz:=2
    else Vitaz:=0;
    if Vitaz=0 then OutTextXy(20,100,'Cely suboj skoncil bratskou remizou.')
    else begin
      Str(Vyhier[Vitaz],c1);
      Str(Vyhier[(Vitaz mod 2)+1],c2);
      OutTextXY(10,100,'Vyhralo '+Nazov[Povod[Vitaz]]+' druzstvo so skore '+c1+' : '+c2+' !')
    end;
    SetTextStyle(DefaultFont,0,1);
    repeat z:=readkey until z=#13;
  end;

begin
  Init;
  repeat
    Prerusenie:=False;
    NastavHracov;
    for i:=1 to PocKol do if not Prerusenie then JednaDvojhra;
    if not Prerusenie then Vyhodnot;
  until False
end.